**    ModelEco : MODELisation en programmation mathmatique pour l'analyse ECOnomique de l'agriculure    **

*-----------------------------------------------------------------------------*
$Ontext
Nom              modelEco_bassinParisien.gms
Sequence         2 - Le modle d'exploitation agricole
Langage GAMS     tableaux et variables  2 dimensions
Type             LP
Description
"Un agriculteur du Val-de-Loire a une exploitation de 100 ha en grande culture. Il peut cultiver du bl tendre, du bl dur, du colza et de l'orge de printemps. Pour chaque culture, il peut choisir entre trois mode de conduite :
-        Intensif (not " intens ") : la technique plus intensive en intrants chimiques, avec quelques fois un usage " prventif " des produits phytosanitaires
-        Raisonn (not " rais ") :  pratiques thoriquement optimises sur le plan des intrants, les interventions chimiques sont " raisonnes ", c'est  dire dcides aprs observation (des maladies, de la prsence des ravageurs..)
-        Protection intgre (not " protI ") : pratiques intgrant des mesures agronomiques prophylactiques contribuant  la baisse de la pression des bioagresseurs (date de semis, varits, etc..). Protection intgre renvoie aux mthodes dveloppes sous le nom de " Integrated Pest Management "
Pour chaque technique et pour chaque culture, l'agriculteur connait les rendements esprs, les charges variables et les temps de travail.
Il travaille 2000 heures par an.
Les prix de vente des cultures sont : 125/t pour le bl tendre, 146/t pour le bl dur, 240/t pour le colza et 110/t pour l'orge de printemps.
L' objectif de l'agriculteur est de maximiser son revenu.
"

Donnes
Ecophyto R&D vers des systmes de culture conomes en produits phytosanitaires -  Volet 1
Tome II : Analyse comparative de diffrents systmes en grandes cultures
Janvier 2009
INRA et le ministre de l'cologie, de l'nergie, du dveloppement durable et de l'amnagement du territoire.

$offtext

*-----------------------------------------------------------------------------*


*----------                          INDICES                        ----------*

SET
C        cultures                /bleT, colza, orgeP, orgeH/
mC       mode de conduite        /intens,rais,protI/
;


scalar
SAU      surface agricole utile          /100/
DMO      disponibilit en main d'oeuvre  /2000/
;

parameter pxVenteInit(C)
/bleT 180, colza 365, orgeP 170, orgeH 155/  ;

table
charges_tot(C, mC)    charges totales par culture et par mode de conduite
           intens        rais       protI
bleT      652.000     611.000     534.000
colza     724.000     635.000     576.000
orgeP     668.000     676.000     594.000
orgeH     746.000     680.000     587.000
;

table
rdt(C, mC)               rendement par culture et par mode de conduite  en QUINTAUX PAR HA
      intens    rais     protI
bleT    72.8      71       65
colza   31        29       26.3
orgeP   62.6      62       56
orgeH   71        70       64
;

table
tpsTravail(C, mC)         temps de travail par culture et par mode de conduite
      intens    rais    protI
bleT    3.2      3.1      3.1
colza   4        3.6      4
orgeP   3.1      3.1      3.3
orgeH   3.3      3        3
;

parameter
MB(C, mC)        marge brute calculee
;

*----------                          MODELE                        ----------*
variables
Z
X
IFT_tot
;

positive variables
X
;

equations
objectif         fonction objectif
terre            contrainte de terre
travail          contrainte de travail
;

objectif..       sum[(C,mC), X(C,mC)* MB(C,mC)] =e= Z;
terre..          sum[(C,mC), X(C,mC)] =l= SAU ;
travail..        sum[(C,mC), X(C,mC)*tpsTravail(C,mC)] =l= DMO ;

model farmModel modele avec technique  /all/;

*----------                        SOLUTION                         ----------*

MB(C, mC) = rdt(C,mC)*pxVenteInit(C)/10 - charges_tot(C,mC)
;
display MB ;

solve farmModel using LP maximizing Z ;


